diff --git a/setup.py b/setup.py
index 71bdb08..b425618 100644
--- a/setup.py
+++ b/setup.py
@@ -1,17 +1,25 @@
 # Distutils script for python-xlib
 
-from pkg_resources import parse_requirements
-from setuptools import (__version__ as setuptools_version, setup)
+from setuptools import setup
 
-
-# Check setuptools is recent enough to support `setup.cfg`.
-setuptools_require = next(parse_requirements('setuptools>=30.3.0'))
-assert setuptools_version in setuptools_require, '{} is required'.format(setuptools_require)
+import Xlib
 
 
 setup(
+    name='python-xlib',
+    version=Xlib.__version_string__,
+
+    description='Python X Library',
+    download_url='https://github.com/python-xlib/python-xlib/releases',
+    url='https://github.com/python-xlib/python-xlib',
+    license='LGPLv2+',
+
+    author='Peter Liljenberg',
+    author_email='petli@ctrl-c.liu.se',
+
     install_requires=['six>=1.10.0'],
     setup_requires=['setuptools-scm'],
+
     packages=[
         'Xlib',
         'Xlib.ext',
@@ -20,4 +28,22 @@ setup(
         'Xlib.support',
         'Xlib.xobject'
     ],
+
+    keywords='xlib x11 x windows',
+    classifiers=[
+        'Development Status :: 5 - Production/Stable',
+        'Environment :: X11 Applications',
+        'Intended Audience :: Developers',
+        'License :: OSI Approved :: GNU Lesser General Public License v2 or later (LGPLv2+)',
+        'Operating System :: OS Independent',
+        'Programming Language :: Python :: 2.7',
+        'Programming Language :: Python :: 3',
+        'Programming Language :: Python :: 3.3',
+        'Programming Language :: Python :: 3.4',
+        'Programming Language :: Python :: 3.5',
+        'Programming Language :: Python :: Implementation :: CPython',
+        'Topic :: Software Development :: Libraries :: Python Modules',
+        'Topic :: Software Development :: Libraries',
+        'Topic :: Software Development :: User Interfaces',
+    ],
 )
-- 
2.22.0
